#
# Conditional build:
%bcond_without	bridge_hotkey	# disable the engine hotkeys
%bcond_without	swig		# swig based python-anthy library
#
Summary:	The Anthy engine for IBus input platform
Summary(pl.UTF-8):	Silnik Anthy dla platformy wprowadzania znaków IBus
Name:		ibus-anthy
Version:	1.5.9
Release:	1
License:	GPL v2+
Group:		Libraries
#Source0Download: https://github.com/ibus/ibus-anthy/releases
Source0:	https://github.com/ibus/ibus-anthy/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	57f560e080b0d78b581493535dda78ec
URL:		https://github.com/fujiwarat/ibus-anthy/wiki
BuildRequires:	anthy-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.10
BuildRequires:	gettext-tools >= 0.16.1
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gobject-introspection-devel >= 0.6.8
BuildRequires:	ibus-devel >= 1.5
BuildRequires:	intltool >= 0.41.1
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
%{?with_swig:BuildRequires:	swig-python}
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name}-libs = %{version}-%{release}
Requires:	anthy
Requires:	hicolor-icon-theme
Requires:	ibus >= 1.5
Requires:	kasumi
Requires:	python-ibus >= 1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/ibus

%description
The Anthy engine for IBus platform. It provides Japanese input method
from libanthy.

%description -l pl.UTF-8
Silnik Anthy dla platformy IBus. Udostępnia metodę wprowadzania znaków
japońskich poprzez libanthy.

%package libs
Summary:	Shared Anthy GObject library
Summary(pl.UTF-8):	Biblioteka współdzielona Anthy GObject
Group:		Libraries
Requires:	glib2 >= 1:2.26.0
Conflicts:	ibus-anthy < 1.4.99.20121006-5

%description libs
Shared Anthy GObject library.

%description libs -l pl.UTF-8
Biblioteka współdzielona Anthy GObject.

%package devel
Summary:	Header files for Anthy GObject library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Anthy GObject
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	anthy-devel
Requires:	glib2-devel >= 1:2.26.0

%description devel
Header files for Anthy GObject library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Anthy GObject.

%package -n python-anthy
Summary:	SWIG based Python interface to Anthy library
Summary(pl.UTF-8):	Oparty na SWIG-u pythonowy interfejs do biblioteki Anthy
Group:		Libraries/Python
Requires:	python-libs >= 1:2.5

%description -n python-anthy
SWIG based Python interface to Anthy library.

%description -n python-anthy -l pl.UTF-8
Oparty na SWIG-u pythonowy interfejs do biblioteki Anthy.

%prep
%setup -q

# ibus 1.4.x has symbol attr in EngineDesc;
# ibus 1.4.99/1.5+ has symbol attr in IBus.Property
# hardcode it so python-ibus is not BRed here
%{__sed} -i -e 's,\$SYMBOL_TEST,exit(0),' configure.ac

# gettextize will add it again
%{__sed} -i -e '/AC_CONFIG_FILES/s@ po/Makefile\.in@@' configure.ac

%build
%{__gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_swig:--enable-pygtk2-anthy} \
	--with-layout='default' \
	%{?with_bridge_hotkey:--with-hotkeys}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la
%if %{with swig}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/_anthy.la
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libexecdir}/ibus-engine-anthy
%attr(755,root,root) %{_libexecdir}/ibus-setup-anthy
%{_datadir}/appdata/ibus-anthy.appdata.xml
%{_datadir}/ibus-anthy
%{_datadir}/ibus/component/anthy.xml
%{_desktopdir}/ibus-setup-anthy.desktop
%{_iconsdir}/hicolor/scalable/apps/ibus-anthy.svg

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libanthygobject-1.0.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libanthygobject-1.0.so.5
%{_libdir}/girepository-1.0/Anthy-9000.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libanthygobject-1.0.so
%{_includedir}/ibus-anthy-1.0
%{_datadir}/gir-1.0/Anthy-9000.gir

%if %{with swig}
%files -n python-anthy
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_anthy.so
%{py_sitedir}/anthy.py[co]
%endif
%changelog
* Sun Jan 22 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ibus-anthy.git;a=log;h=master

* Sun Jan 22 2017 Jakub Bogusz <qboosh@pld-linux.org> 3bd298d
- updated to 1.5.9

* Sat Apr 02 2016 Jakub Bogusz <qboosh@pld-linux.org> d523407
- updated to 1.5.8

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 391eb54
- updated gettext BR

* Wed Dec 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 2edddde
- new URLs, updated to 1.5.6

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> ecf78a3
- libffi rebuild
- release 2 (by relup.sh)

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 5d2d68b
- updated to 1.5.4

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 44358d4
- rel 2

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 89c492a
- more ac/am regen

* Mon May 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 358e520
- updated to 1.5.3

* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 7e2dd85
- updated to 1.5.0

* Sat Nov 10 2012 Jakub Bogusz <qboosh@pld-linux.org> eeffd8d
- package GObject binding in -libs, so it's available not only with ibus
- release 5

* Sat Nov 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 1b0108a
- more BRs, better description + pl for -devel

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 315358f
- typo
- rel 4

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 3b43c26
- rel 3
- updated R for post(un) scriptlets

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 1fc2300
- enable bridge hotkey
- rel 2

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 0355600
- updated to 1.4.99.20121006

* Wed Sep 12 2012 Jakub Bogusz <qboosh@pld-linux.org> 01fc776
- pygtk epoch

* Wed Sep 12 2012 Jakub Bogusz <qboosh@pld-linux.org> a27946f
- updated to 1.2.7
- removed obsolete xx-icon-symbol patch

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> 39e4c4b
- rel 1

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> 6533c82
- fix permissions

